<?
/*
this is a remote rename script for babstats V5
this script can be used together with lan messenger V2.5.X or newer.

How to use?
upload this file in your babstats admin folder.
open lan messenger and go to the edit database window, click the babstats tab.
enter the full url to this file (location where uploaded) in the textbox "rename script url"
also check 'use rename script'
after the url you add   ?username=babstatsusername&password=babstatspassword
where babstatsuername stands for your admin username of babstats and
babstatspassword for the babstats password of your admin account.

for example you can enter this in the textbox:

http://www.mysite.com/babstats/admin/rename.php?username=james&password=stats321

where http://www.mysite.com/babstats  is the link to go to your babstats page
      james is your babstats amdin login name
      stats321  is your babstats admin password

now when you rename a player in your lan messenger database(s) this php page will automatically rename
the player in babstats instead of you going to the admin and doing it yourself.

what now follows is an edited version of the official listats-admin.php page of babstats V5
*/

/*
 * Copyright (c) 2002, Tomas Stucinskas a.k.a Baboon
 * All rights reserved.
 *
 * Redistribution and use with or without modification, are
 * permitted provided that the following conditions are met:
 *
 * Redistributions must retain the above copyright notice.
 * File readme.htm must not be removed from the package.
 *
 * Module name   : liststats.php
 * Modified by   : LethalWeapon=HAR=
 * email         : team@har.entermatrix.net
 * Author        : Tomas Stucinskas a.k.a Baboon
 * E-mail        : baboon@ai-hq.com
 */

require "../getvars.php";
require "../config.php";
require "../weapons.php";
require "../gametypes.php";
require "../rating.php";
require "../functions.php";
require "../version.php";

$base_folder  = "../";
$mainscript   = "admin.php?";
$content      = "";
$rowclass1    = "tablerow1";
$rowclass2    = "tablerow2";
$selectedasc  = "selectedasc";
$selecteddesc = "selecteddesc";
$unselected   = "unselected";

$tables = array("games", "imported", "maps", "medals", "modules", "ranks", "scores", "servers", "squads", "stats", "monthly", "mapstats", "mapstatsm", "weapons", "weaponstats", "weaponstatsm", "admin", "playerawards");
foreach($tables as $name) {
	${$name."_table"} = $tablepre."_".$name;
}

mysql_pconnect($dbhost, $dbusername, $dbuserpw) or die(mysql_error());
mysql_select_db($dbname) or die(mysql_error());

if ($username!=$admin_name && $password!=$admin_pass) die ("invalid password/username");

$newpname = str_replace("\\","\\\\",str_replace("'","\'",base64_decode($newname)));
$oldname = str_replace("\\","\\\\",str_replace("'","\'",base64_decode($oldname)));

if($newpname != "" && $oldname!="") {
    if($newpname == "") $newpname = "---";
      $query1 =  mysql_query("SELECT * FROM $stats_table WHERE player_name='$newpname'") or die(mysql_error());
      $query1b = mysql_query("SELECT * FROM $stats_table WHERE player_name='$oldname'") or die(mysql_error()); //added to get the player ID from the old player name
      $r = mysql_fetch_array($query1b);
      $id = $r['id'];
      $newsquadid=$r['squad_id'];
    	if(mysql_num_rows($query1) == 0) {
            $query2 = mysql_query("UPDATE $stats_table SET player_name='$newpname', squad_id='$newsquadid' WHERE id='$id'") or die(mysql_error());
            $query2 = mysql_query("UPDATE $monthly_table SET player_name='$newpname', squad_id='$newsquadid' WHERE id='$id'") or die(mysql_error());
    	} else {
            $row1 = mysql_fetch_array($query1);
            $newidnum = $row1[id];
                 $query = mysql_query("SELECT * FROM $stats_table WHERE id='$id'") or die(mysql_error());
                 $row = mysql_fetch_array($query);
                 $total_games = $row[total_games];
                 $coop_games = $row[coop_games];
                 $dm_games = $row[dm_games];
                 $tdm_games = $row[tdm_games];
                 $koth_games = $row[koth_games];
                 $tkoth_games = $row[tkoth_games];
                 $ctf_games = $row[ctf_games];
                 $fb_games = $row[fb_games];
                 $ad_games = $row[ad_games];
                 $sd_games = $row[sd_games];
                 $avg_coop_rank = $row[avg_coop_rank];
                 $avg_dm_rank = $row[avg_dm_rank];
                 $avg_tdm_rank = $row[avg_tdm_rank];
                 $avg_koth_rank = $row[avg_koth_rank];
                 $avg_tkoth_rank = $row[avg_tkoth_rank];
                 $avg_ctf_rank = $row[avg_ctf_rank];
                 $avg_fb_rank = $row[avg_fb_rank];
                 $avg_ad_rank = $row[avg_ad_rank];
                 $avg_sd_rank = $row[avg_sd_rank];
                 $team_blue = $row[team_blue];
                 $team_red = $row[team_red];
                 $team_yellow = $row[team_yellow];
                 $team_violet = $row[team_violet];
                 $team_games_won = $row[team_games_won];
                 $total_coop_score = $row[total_coop_score];
                 $total_dm_score = $row[total_dm_score];
                 $total_tdm_score = $row[total_tdm_score];
                 $total_koth_score = $row[total_koth_score];
                 $total_tkoth_score = $row[total_tkoth_score];
                 $total_ctf_score = $row[total_ctf_score];
                 $total_fb_score = $row[total_fb_score];
                 $total_ad_score = $row[total_ad_score];
                 $total_sd_score = $row[total_sd_score];
                 $top_coop_score = $row[top_coop_score];
                 $top_dm_score = $row[top_dm_score];
                 $top_tdm_score = $row[top_tdm_score];
                 $top_koth_score = $row[top_koth_score];
                 $top_tkoth_score = $row[top_tkoth_score];
                 $top_ctf_score = $row[top_ctf_score];
                 $top_fb_score = $row[top_fb_score];
                 $top_ad_score = $row[top_ad_score];
                 $top_sd_score = $row[top_sd_score];
                 $total_ctf_flags_saved = $row[total_ctf_flags_saved];
                 $total_ctf_flags_picked = $row[total_ctf_flags_picked];
                 $total_fb_flags_picked = $row[total_fb_flags_picked];
                 $total_kills = $row[total_kills];
                 $total_deaths = $row[total_deaths];
                 $total_knives = $row[total_knives];
                 $total_headshots = $row[total_headshots];
                 $total_suicides = $row[total_suicides];
                 $total_medsaves = $row[total_medsaves];
                 $total_murders = $row[total_murders];
                 $avg_kd_ratio = $row[avg_kd_ratio];
                 $top_kd_ratio = $row[top_kd_ratio];
                 $top_kd = $row[top_kd];
                 $top_knives = $row[top_knives];
                 $top_medsaves = $row[top_medsaves];
                 $top_head = $row[top_head];
                 $total_sniper_uses = $row[total_sniper_uses];
                 $total_mg_uses = $row[total_mg_uses];
                 $total_rifle_uses = $row[total_rifle_uses];
                 $total_sniper_kills = $row[total_sniper_kills];
                 $total_mg_kills = $row[total_mg_kills];
                 $total_rifle_kills = $row[total_rifle_kills];
                 $last_played = $row[last_played];

    	   if($newidnum != $id) {
                 $query2 = mysql_query("UPDATE $stats_table SET avg_coop_rank=(avg_coop_rank*coop_games+$avg_coop_rank*$coop_games)/IF((coop_games+$coop_games)>0,(coop_games+$coop_games),1),
                                                             avg_dm_rank=(avg_dm_rank*dm_games+$avg_dm_rank*$dm_games)/IF((dm_games+$dm_games)>0,(dm_games+$dm_games),1),
                                                             avg_tdm_rank=(avg_tdm_rank*tdm_games+$avg_tdm_rank*$tdm_games)/IF((tdm_games+$tdm_games)>0,(tdm_games+$tdm_games),1),
                                                             avg_koth_rank=(avg_koth_rank*koth_games+$avg_koth_rank*$koth_games)/IF((koth_games+$koth_games)>0,(koth_games+$koth_games),1),
                                                             avg_tkoth_rank=(avg_tkoth_rank*tkoth_games+$avg_tkoth_rank*$tkoth_games)/IF((tkoth_games+$tkoth_games)>0,(tkoth_games+$tkoth_games),1),
                                                             avg_ctf_rank=(avg_ctf_rank*ctf_games+$avg_ctf_rank*$ctf_games)/IF((ctf_games+$ctf_games)>0,(ctf_games+$ctf_games),1),
                                                             avg_fb_rank=(avg_fb_rank*fb_games+$avg_fb_rank*$fb_games)/IF((fb_games+$fb_games)>0,(fb_games+$fb_games),1),
                                                             avg_ad_rank=(avg_ad_rank*ad_games+$avg_ad_rank*$ad_games)/IF((ad_games+$ad_games)>0,(ad_games+$ad_games),1),
                                                             avg_sd_rank=(avg_sd_rank*sd_games+$avg_sd_rank*$sd_games)/IF((sd_games+$sd_games)>0,(sd_games+$sd_games),1),
                                                             team_blue=team_blue+$team_blue,
                                                             team_red=team_red+$team_red,
                                                             team_yellow=team_yellow+$team_yellow,
                                                             team_violet=team_violet+$team_violet,
                                                             team_games_won=team_games_won+$team_games_won,
                                                             total_coop_score=total_coop_score+$total_coop_score,
                                                             total_dm_score=total_dm_score+$total_dm_score,
                                                             total_tdm_score=total_tdm_score+$total_tdm_score,
                                                             total_koth_score=total_koth_score+$total_koth_score,
                                                             total_tkoth_score=total_tkoth_score+$total_tkoth_score,
                                                             total_ctf_score=total_ctf_score+$total_ctf_score,
                                                             total_fb_score=total_fb_score+$total_fb_score,
                                                             total_ad_score=total_ad_score+$total_ad_score,
                                                             total_sd_score=total_sd_score+$total_sd_score,
                                                             top_coop_score=IF(top_coop_score<$top_coop_score,$top_coop_score,top_coop_score),
                                                             top_dm_score=IF(top_dm_score<$top_dm_score,$top_dm_score,top_dm_score),
                                                             top_tdm_score=IF(top_tdm_score<$top_tdm_score,$top_tdm_score,top_tdm_score),
                                                             top_koth_score=IF(top_koth_score<$top_koth_score,$top_koth_score,top_koth_score),
                                                             top_tkoth_score=IF(top_tkoth_score<$top_tkoth_score,$top_tkoth_score,top_tkoth_score),
                                                             top_ctf_score=IF(top_ctf_score<$top_ctf_score,$top_ctf_score,top_ctf_score),
                                                             top_fb_score=IF(top_fb_score<$top_fb_score,$top_fb_score,top_fb_score),
                                                             top_ad_score=IF(top_ad_score<$top_ad_score,$top_ad_score,top_ad_score),
                                                             top_sd_score=IF(top_sd_score<$top_sd_score,$top_sd_score,top_sd_score),
                                                             total_ctf_flags_saved=total_ctf_flags_saved+$total_ctf_flags_saved,
                                                             total_ctf_flags_picked=total_ctf_flags_picked+$total_ctf_flags_picked,
                                                             total_fb_flags_picked=total_fb_flags_picked+$total_fb_flags_picked,
                                                             total_kills=total_kills+$total_kills,
                                                             total_deaths=total_deaths+$total_deaths,
                                                             total_knives=total_knives+$total_knives,
                                                             total_headshots=total_headshots+$total_headshots,
                                                             total_suicides=total_suicides+$total_suicides,
                                                             total_medsaves=total_medsaves+$total_medsaves,
                                                             total_murders=total_murders+$total_murders,
                                                             avg_kd_ratio=(avg_kd_ratio*total_games+$avg_kd_ratio*$total_games)/(total_games+$total_games),
                                                             top_kd_ratio=IF(top_kd_ratio<$top_kd_ratio,$top_kd_ratio,top_kd_ratio),
                                                             top_kd=IF(top_kd<$top_kd,$top_kd,top_kd),
                                                             top_head=IF(top_head<$top_head,$top_head,top_head),
                                                             top_knives=IF(top_knives<$top_knives,$top_knives,top_knives),
                                                             top_medsaves=IF(top_medsaves<$top_medsaves,$top_medsaves,top_medsaves),
                                                             last_played=IF(last_played<'$last_played','$last_played',last_played),
                                                             total_games=total_games+$total_games,
                                                             coop_games=coop_games+$coop_games,
                                                             dm_games=dm_games+$dm_games,
                                                             tdm_games=tdm_games+$tdm_games,
                                                             koth_games=koth_games+$koth_games,
                                                             tkoth_games=tkoth_games+$tkoth_games,
                                                             ctf_games=ctf_games+$ctf_games,
                                                             fb_games=fb_games+$fb_games,
                                                             ad_games=ad_games+$ad_games,
                                                             sd_games=sd_games+$sd_games,
                                                             total_sniper_uses=total_sniper_uses+$total_sniper_uses,
                                                             total_mg_uses=total_mg_uses+$total_mg_uses,
                                                             total_rifle_uses=total_rifle_uses+$total_rifle_uses,
                                                             total_sniper_kills=total_sniper_kills+$total_sniper_kills,
                                                             total_mg_kills=total_mg_kills+$total_mg_kills,
                                                             total_rifle_kills=total_rifle_kills+$total_rifle_kills,
    								                         squad_id='$newsquadid'
                                                             WHERE id='$newidnum'") or die(mysql_error());
    			}
                 $query3 = mysql_query("UPDATE $stats_table SET squad_id='$newsquadid' WHERE id='$newidnum'") or die(mysql_error());
           if($newidnum != $id) $query4 = mysql_query("DELETE FROM $stats_table WHERE id='$id'") or die(mysql_error());
           $query5 = mysql_query("UPDATE $scores_table SET playerid='$newidnum' WHERE playerid='$id'") or die(mysql_error());
       	}
    echo "success!";
}
?>
